## lua-torch-trepl 0~20170619-ge5e17e3

=== debian/changelog ===
lua-torch-trepl (0~20170619-ge5e17e3-7) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Bump Standards-Verstion to 4.1.4 . (no change)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Apr 2018 03:34:54 +0000

lua-torch-trepl (0~20170619-ge5e17e3-6) unstable; urgency=medium

  * Change Architecture of torch-trepl to all.
    The i386 build was enabled for the lua-torch-torch7 package, which
    means the package should be able to migrate.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Feb 2018 08:30:37 +0000

lua-torch-trepl (0~20170619-ge5e17e3-5) unstable; urgency=medium

  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3 (no change).
  * Change Architecture of torch-trepl from all to any.
  * Fix insecure-copyright-format-uri.
  * Update Vcs-* links to salsa.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 20 Jan 2018 06:46:55 +0000

lua-torch-trepl (0~20170619-ge5e17e3-4) unstable; urgency=medium

  * tests: Ignore tput error message to avoid autopkgtest failure.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 19 Nov 2017 03:12:19 +0000

lua-torch-trepl (0~20170619-ge5e17e3-3) unstable; urgency=medium

  * Update B-D to prevent build on unsupported architectures.
  * Move several suggested packages to Depends, because they
    are require'd by the init.lua script.
  * Update my name in control and copyright.
  * Bump Standards-Version to 4.1.1 . No change needed.
  * rules: Don't set DEB_HOST_MULTIARCH again.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Oct 2017 13:59:50 +0000

lua-torch-trepl (0~20170619-ge5e17e3-2) unstable; urgency=medium

  * Generate the links file from rules, instead of using a template.
  * Change ' to " in tests control file to work around autopkgtest bug.
  * Upload to unstable.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 26 Aug 2017 15:49:13 +0000

lua-torch-trepl (0~20170619-ge5e17e3-1) experimental; urgency=medium

  * Import snapshot.
  * Bump Standards-Version to 4.0.0 (requires no change).
  * Add autopkgtest control file.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 29 Jul 2017 02:04:14 +0000

lua-torch-trepl (0~20161111-gf588b72-3) experimental; urgency=medium

  * Fix lintian Error by restoring #DEB_HOST_MULTIARCH# in
    lua-torch-trepl.links which was changed by mistake.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 24 May 2017 07:20:40 +0000

lua-torch-trepl (0~20161111-gf588b72-2) experimental; urgency=medium

  * Debhelper compat 10.
  * For binary packages luajit is prior to lua5.1 as dependency.
  * Update patch: debian-customize-banner .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 22 May 2017 04:12:58 +0000

lua-torch-trepl (0~20161111-gf588b72-1) experimental; urgency=medium

  * New upstream snapshot.
  * Refresh patch: debian-customize-banner.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 17 Nov 2016 09:15:07 +0000

lua-torch-trepl (0~20160613-g06128f9-3) experimental; urgency=medium

  * Change B-D libreadline6-dev -> libreadline-dev.
  * Fix typo in short package descriptions. (Troch -> Torch)
  * Add a few comments in packaging files.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 06 Oct 2016 11:05:06 +0000

lua-torch-trepl (0~20160613-g06128f9-2) experimental; urgency=medium

  * Fix hardcoded multiarch triplet in lua-torch-trepl.links .

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 24 Sep 2016 06:37:51 +0000

lua-torch-trepl (0~20160613-g06128f9-1) experimental; urgency=low

  * Initial release. Closes: #826791

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 25 Aug 2016 12:15:18 +0000
