=== debian/control ===
Source: lua-torch-trepl
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: cmake,
               debhelper (>=11~),
               dh-lua,
               libreadline-dev,
# these lua-* packages are runtime dependencies
               lua-penlight,
               lua-torch-torch7,
               libtorch-th-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/torch/trepl
Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-trepl
Vcs-Git: https://salsa.debian.org/science-team/lua-torch-trepl.git

Package: lua-torch-trepl
Architecture: any
Multi-Arch: same
Depends: lua-penlight,
         lua-torch-sys,
         lua-torch-xlua,
         lua-torch-torch7,
         luajit | lua5.1,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: lua-torch-dok,
XB-Lua-Versions: ${lua:Versions}
Description: REPL Package for Torch Framework
 A pure Lua REPL (Read,Eval,Print-Loop) for LuaJIT, with heavy
 support for Torch types. It uses Readline for tab completion.
 .
 This package contains backend files to support the command line
 frontend 'th'.

Package: torch-trepl
Architecture: all
Multi-Arch: foreign
Depends: lua-torch-trepl (>= ${source:Version}),
         lua-torch-trepl (<< ${source:Version}.1~),
         luajit | lua5.1, ${misc:Depends}
Description: REPL Wrapper Package for Torch Framework
 A pure Lua REPL (Read,Eval,Print-Loop) for LuaJIT, with heavy
 support for Torch types. It uses Readline for tab completion.
 .
 This package also installs command line frontend `th`, which
 comes packed with all these features:
 .
  * Tab-completion on nested namespaces
  * Tab-completion on disk files (when opening a string)
  * History
  * Pretty print (table introspection and coloring)
  * Auto-print after eval (can be stopped with ;)
  * Each command is profiled, timing is reported
  * No need for '=' to print
  * Easy help with: `? funcname`
  * Self help: `?`
  * Shell commands with: $ cmd (example: `$ ls`)
  * Print all user globals with `who()`
  * Import a package's symbols globally with `import(package)`
  * Require is overloaded to provide relative search paths:
      `require('./mylocallib/')`
  * [Optional] strict global namespace monitoring
  * [Optional] async repl
